PASTEBINIT(1)

NAME
pastebinit - command-line pastebin client

SYNOPSIS

pastebinit [-abfhiljmrtup]

DESCRIPTION

This manual page documents briefly the pastebinit commands

pastebinit reads text and sends it to a "pastebin" on the internet, returning the URL to the user.

It allows the text to be passed through a pipe (|) or from files as arguments.

OPTIONS

  Optional arguments (not supported by all pastebins)

-a [author] (default: $USER)

-b [pastebin url] (default is distro-specific with a fallback to pastebin.com)

-E Print the content to stdout too

-f [format for syntax-highlighting] (default: text) (check pastebin's website for complete list, example: python)

-h Help screen

-i [filename] Use filename for input

-l List all the supported pastebins

-j [jabberid] (default: none)

-m [permatag] (default: none)

-t [title of paste] (default: none)

-P [private] (default: 1)

-u [username] (default: none)

-p [password] (default: none)

-v Version number

CONFIGURATION FILE

If a .pastebinit.xml file is found in the user's home directory, pastebinit will use it for its configuration.

Here's an example file:
 <pastebinit>
     <pastebin>http://paste.ubuntu.com</pastebin>
     <author>Stephane Graber</author>
     <jabberid>stgraber@stgraber.org</jabberid>
     <format>text</format>
 </pastebinit>

AUTHORS

Pastebinit is currently written by Stephane Graber.

username, password, format, title, arguments and redirect support added by Daniel Bartlett.

Website: http://launchpad.net/pastebinit

E-mail: stgraber@ubuntu.com

COPYRIGHT
Copyright © 2007-2014 Stephane Graber